<?php
header('Access-Control-Allow-Origin: *');
define('AJAX', true);
require_once('../ecologram.php');
$eg->check_token();
/** USERS **/
if(isset($_GET['list_users'])){
	header('content-Type: application/json');
	$arg=array(
		'page'=>$_GET['page'],
		'status'=>$_GET['status']
	);
	if(isset($_GET['minid'])) $arg['minid']=$_GET['minid'];
	if(isset($_GET['per_page'])) $arg['per_page']=$_GET['per_page'];
	$users = $eg->list_users($arg, true);
	echo json_encode($users);
	exit;
}

/** MODERATION **/
if(isset($_GET['mod']) && is_numeric($_GET['mod']) && isset($_GET['id']) && is_numeric($_GET['id']) && isset($_GET['type'])){
	if($_GET['type']=='user'){
		echo $eg->moderate_user($_GET['id'],$_GET['mod'],1);
	}
	elseif($_GET['type']=='item'){
		echo $eg->moderate_item($_GET['id'],$_GET['mod']);
	}
	exit;
}

/** DELETION **/
if(isset($_GET['del']) && isset($_GET['id']) && is_numeric($_GET['id']) && isset($_GET['type'])){
	if($_GET['type']=='user'){
		echo $eg->del_user($_GET['id'],1);
	}
	elseif($_GET['type']=='item'){
		echo $eg->del_item($_GET['id']);
	}
	exit;
}

/** SNAPSHOT **/
if(isset($_GET['snapshot']) && is_numeric($_GET['snapshot'])){
	$item = $eg->get(array('item_id'=>$_GET['snapshot']));
	if(sizeof($item)==1){
		$item=$item[0];
		if(isset($item->expanded_url) && isset($item->media_url) && $item->expanded_url!='' && $item->media_url==''){
			$saved_file = screenshot($item->expanded_url);
			$q = "UPDATE `".$eg->config['db_prefix']."items` SET `media_url` = '$saved_file' WHERE `".$eg->config['db_prefix']."items`.`id` = '".$item->id."'";
			$r = mysqli_query($eg->mysqli,$q);
			echo json_encode(array('media_url'=>$saved_file));
			exit;
		}

	}
	echo '0';
	exit;
}


/** ITEMS **/
if(isset($_GET['list_items']) && isset($_GET['page'])){
	header('content-Type: application/json');
	$arg=array(
		'page'=>$_GET['page'],
		'status'=>isset($_GET['status'])?$_GET['status']:''
	);
	if(isset($_GET['minid'])) $arg['minid']=$_GET['minid'];
	if(isset($_GET['per_page'])) $arg['per_page']=$_GET['per_page'];
	if(isset($_GET['username'])) $arg['username']=$_GET['username'];
	if(isset($_GET['network'])) $arg['network']=$_GET['network'];
	if(isset($_GET['item_id'])) $arg['item_id']=$_GET['item_id'];
	$items = $eg->get($arg, true);
	echo json_encode($items);
	exit;
}

/** NETWORKS PREVIEW **/
if(isset($_GET['network']) && isset($_GET['preview'])){
	$network = $_GET['network'];
	if(isset(SYN()->networks[$_GET['network']])){
		$Parsedown = new Parsedown();
		$attributes = SYN()->networks[$network];
		$attributes['status'] = $_GET['status'] == 'true' ? true : false;
		$attributes['options'] = array_merge((array)$attributes['options'], (array)$_GET['values']);
		include(ABS_PATH . 'admin/network-item.php');
		SYN()->print_ajax_scripts();
		exit;
	}
	else{
		echo 'Network «'.$network.'» not found';
	}
}
/** NETWORKS APP **/
if(isset($_GET['network']) && isset($_GET['app'])){
	if(is_file('../includes/networks/'.$_GET['network'].'/'.$_GET['app'].'.php')){
		include('../includes/networks/'.$_GET['network'].'/'.$_GET['app'].'.php');
	}
}
