<?php
require('../ecologram.php');
$confirm = filter_input(INPUT_GET, 'confirm');

$class = $confirm === 'login_paired' ? 'success' : 'danger';
$message = $confirm === 'login_paired' ? __('Your account is now paired') : __('Sorry, an error occured')
?><!DOCTYPE html>
<html id="admin-auth-html">
    <head>
        <meta charset="utf-8">
        <link rel="stylesheet" href="<?php echo $eg->base_url; ?>vendor/twbs/bootstrap/dist/css/bootstrap.min.css" />
        <link rel="stylesheet" href="<?php echo $eg->base_url; ?>/css/ecologram-admin.css" />
        <link rel="stylesheet" href="<?php echo $eg->base_url; ?>/css/dashicons.min.css" />
        <link rel="shortcut icon" href="<?php echo $eg->base_url; ?>/img/slideyournet-icon.png" />
        <link rel="apple-touch-icon" href="<?php echo $eg->base_url; ?>/img/slideyournet-icon.png"/>
        <title><?php echo $eg->title; ?></title>
        <?php $eg->print_scripts(); ?>
        <?php $eg->admin_scripts(); ?>

	<script>
	function clzwnd() {
		opener.location = 'networks.php?s='+eg_admin.session.name+'&t='+eg_admin.session.token;
        self.close();
	}
	</script>
</head>
<body id="admin-auth" class="admin-networks admin-page row-fluid">
	<div id="page">
		<div class="alert alert-<?php echo $class; ?>">
			<?php echo $message; ?>
		</div>
		<a onclick="clzwnd()"><?php _e('Close this window'); ?></a>
	</div>
</body>
</html>