<div class="network_fieldset network-<?php echo $network; ?> network-<?php echo($attributes['status'] ? 'enabled' : 'disabled'); ?>">
    <label class="onoff">
        <input type="checkbox" id="network-status-<?php echo $network; ?>" name="networks_status[<?php echo $network; ?>]" <?php echo($attributes['status'] == true ? 'checked' : ''); ?> value="1">
        <?php _e('On/Off') ?>
    </label>
    <h3 class="network-title"><?php echo $network; ?> <span class="dashicons dashicons-admin-tools"></span></h3>
    <?php foreach ($attributes['settings'] as $option_name => $option_attr): ?>
        <div class="network_settings_field <?php echo (isset($option_attr->hidden_by_default) && $option_attr->hidden_by_default == true ? 'hidden_by_default' : ''); ?>" data-name="<?php echo $option_name; ?>">
            <label for="networks-<?php echo $network; ?>-<?php echo $option_name; ?>">
                <?php _e($option_attr->label); ?>
            </label>

            <?php if ($option_attr->type == 'select'): /////////////////////////////// SELECT  ?>
                <select name="networks[<?php echo $network; ?>][<?php echo $option_name; ?>]" id="networks-<?php echo $network; ?>-<?php echo $option_name; ?>" class="form-control">
                    <?php foreach ($option_attr->values as $key => $description): ?>
                        <option value="<?php echo $key; ?>" <?php echo (isset($attributes['options'][$option_name]) && $key == $attributes['options'][$option_name] ? 'selected' : ''); ?>>
                            <?php _e($description); ?>
                        </option>
                    <?php endforeach; ?>
                </select>
            <?php else: /////////////////////////////////////////////////////////// DEFAULT  ?>
                <input class="form-control" type="<?php echo $option_attr->type; ?>" name="networks[<?php echo $network; ?>][<?php echo $option_name; ?>]" value="<?php echo (isset($attributes['options'][$option_name]) ? htmlspecialchars($attributes['options'][$option_name]) : ''); ?>" id="networks-<?php echo $network; ?>-<?php echo $option_name; ?>">
            <?php endif; ?>

            <?php if (isset($option_attr->description)): ?>
                <div class="help-block"><?php echo $Parsedown->text(__($option_attr->description)); ?></div>
            <?php endif; ?>
        </div>
    <?php endforeach; ?>

    <?php
    if (is_file(ABS_PATH . 'includes/networks/' . $network . '/settings.php')) {
        include(ABS_PATH . 'includes/networks/' . $network . '/settings.php');
    }
    ?>
</div>
