<?php

require_once 'includes/networks/facebook/auth.php';

if (SYN() && isset(SYN()->networks['facebook']['options']['access_token']) && $SYNFacebook){

    $target_id = SYN()->networks['facebook']['options']['target_id'];
    $fields = array('name', 'username', 'picture', 'about', 'location');
    if(SYN()->networks['facebook']['options']['target_type']=='profile'){
        $fields = array('name', 'picture', 'about', 'location');
        $target_id='me';
    }
    $request = $SYNFacebook->fb->get('/'.$target_id.'?fields='.implode(',', $fields));
    $target = $request->getDecodedBody();

    $feed = $SYNFacebook->get_feed(true);
    if(!$feed){
        return;
    }
    foreach ($feed as $item) {
        echo"\nAdd FB post\n";
        $post = SYN()->add(array(
            'text' => isset($item['message']) ? $item['message'] : (isset($item['story']) ? $item['story'] : ''),
            'username' => isset($target['username']) ? $target['username'] : $target['name'],
            'network' => 'facebook',
            'pub_id' => $item['id'],
            'url' => isset($item['permalink_url']) ? $item['permalink_url'] : 'https://facebook.com/' . str_replace('_', '/posts/', $item['id']),
            'date' => date('Y-m-d H:i:s', strtotime($item['created_time'])),
            'media_url' => isset($item['full_picture']) ? $item['full_picture'] : (isset($item['picture']) ? $item['picture'] : ''),
            'user_description' => isset($target['about']) ? $target['about'] : (isset($target['bio']) ? $target['bio'] : ''),
            'user_city' => isset($target['location']['city']) ? $target['location']['city'] : '',
            'expanded_url' => isset($target['link']) ? $target['link'] : '',
            'pub_lat' => isset($target['latitude']) ? $target['latitude'] : '',
            'pub_lon' => isset($target['longitude']) ? $target['longitude'] : '',
            'pub_ref' => isset($target['parent_id']) ? $target['parent_id'] : '',
            'user_avatar' => isset($target['picture']) ? $target['picture']['data']['url'] : '',
            'user_external_id' => isset($target['id']) ? $target['id'] : '',
            'search'=> ''
        ));
    }
}
