<?php
// require_once("instagram.php");
include_once(dirname(__FILE__).'/instagram.php');
$posts = false;
$query_type = SYN()->networks['instagram']['options']['type'];
$query = isset(SYN()->networks['instagram']['options']['query']) ? SYN()->networks['instagram']['options']['query'] : '';
$hashtag_id = isset(SYN()->networks['instagram']['options']['hashtag_id']) ? SYN()->networks['instagram']['options']['hashtag_id'] : '';
$posts=false;

$type='tag';
if($query_type=='user'){
  $type='userfeed';
}

$last_ig = SYN()->get(['network'=>'instagram', 'per_page'=>1, 'status'=>0]);
$params = [
    'type'=>$type,
    'query'=>$query,
    'hashtag_id'=>$hashtag_id,
];
$posts = $SYNInstagram->fetch($params);

if($posts){
    foreach ($posts as $item) {
        $item = (object)$item;
        $mediaType = isset($item->media_type) ? strtolower($item->media_type) : "";
        $username = isset($item->username) ? $item->username : "";
        $params = array(
            'text' => isset($item->caption) ? $item->caption : "",
            'username' => $username ? $username : 'anonymous',
            'network' => "instagram",
            'pub_id' => isset($item->id) ? $item->id : "",
            'url' => isset($item->permalink) ? str_replace("/?__a=1", '', $item->permalink) : "",
            'date' => isset($item->timestamp) ? date('Y-m-d H:m:s', is_numeric($item->timestamp) ? $item->timestamp : strtotime($item->timestamp)) : "",
            'media_url' => isset($item->media_url) ? $item->media_url : "",
            'media_type' => $mediaType,
            'expanded_url' => "",
            'pub_lat' => isset($item->location) ? $item->location->latitude : "",
            'pub_lon' => isset($item->location) ? $item->location->longitude : "",
            'pub_ref' => "",
            'pub_reply_to' => "",
            'user_avatar' => isset($item->owner) ? $item->owner['avatar_url']: "",
            'user_description' => isset($item->owner) ? $item->owner['user_description'] : "",
            'user_city' => "",
            'search' => ($hashtag_id && $query) ? json_encode(array('id' => $hashtag_id, 'tag' => $query)) : $query
        );
        if ($mediaType == "video") {
            $params['media_url'] = isset($item->thumbnail_url) ? $item->thumbnail_url : null;
            $params['expanded_url'] = isset($item->media_url) ? $item->media_url : null;
        }
        elseif ($mediaType == "carousel_album" && isset($item->children)) {
            $childrens = (object)$item->children;
            foreach ($childrens->data as $children) {
                $children = (object)$children;
                if (!isset($item->media_url)) {
                    continue;
                }
                $params['expanded_url'] .= $children->media_url.',';
            }
        }
        SYN()->add($params);
    }
}
