<?php

ini_set('display_errors', 1);

include_once('auth.php');
global $SYNTwitter;



if (SYN() && $SYNTwitter && $SYNTwitter->exists()) {
    $additional_tweets = [];
    $tweets = $SYNTwitter->get_tweets();
    foreach ($tweets as $tweet) {
        echo "\nAdd tweet\n";
        $SYNTwitter->add($tweet);
        if(isset($tweet->in_reply_to_status_id_str) && is_numeric($tweet->in_reply_to_status_id_str)){
            $additional_tweets[$tweet->in_reply_to_status_id_str] = $tweet->in_reply_to_status_id_str;
        }
        if (isset($tweet->retweeted_status) && SYN()->session->advanced_repost) {
            $SYNTwitter->add($tweet->retweeted_status);
            if(isset($tweet->retweeted_status->in_reply_to_status_id_str) && is_numeric($tweet->retweeted_status->in_reply_to_status_id_str)){
                $additional_tweets[$tweet->retweeted_status->in_reply_to_status_id_str] = $tweet->retweeted_status->in_reply_to_status_id_str;
            }
        }
        elseif (isset($tweet->quoted_status) && SYN()->session->advanced_repost) {
            $SYNTwitter->add($tweet->quoted_status);
            if(isset($tweet->quoted_status->in_reply_to_status_id_str) && is_numeric($tweet->quoted_status->in_reply_to_status_id_str)){
                $additional_tweets[$tweet->quoted_status->in_reply_to_status_id_str] = $tweet->quoted_status->in_reply_to_status_id_str;
            }
        }
        flush();
    }

    if(count($additional_tweets)){
        echo "\n---\nCheck additional tweets\n---\n";
        $tweets = $SYNTwitter->statuses_lookup($additional_tweets);
        if(!$tweets || !count($tweets)){
            flush();
            return;
        }
        foreach ($tweets as $tweet) {
            if(!is_object($tweet) || !isset($tweet->id) || !is_numeric($tweet->id)){
                continue;
            }
            echo "\nAdd tweet\n";
            $SYNTwitter->add($tweet);

            if (isset($tweet->retweeted_status) && SYN()->session->advanced_repost) {
                $SYNTwitter->add($tweet->retweeted_status);
            }
            elseif (isset($tweet->quoted_status) && SYN()->session->advanced_repost) {
                $SYNTwitter->add($tweet->quoted_status);
            }
            flush();
        }
    }
}
