# SlideYour.net Privacy Policy

Slideyour.net service intends to fetch social media (Twitter, Facebook, Instagram) posts in order to display them in several contexts:

- Livewall
- Website

## Definitions

### **Session** and **Owner**

A Session is anonymously created by a person on the SlideYourNet homepage. This person is called Owner. SlideYourNet do not store any personnal data about the Owner.

### **Network**

The Owner attach to its Sessions several Networks with their own social media accounts.  SlideYourNet only stores anonymous connexion tokens. The username of the Owner's account on the given social media is fetched when the the Owner requests it on the Networks setting page.  
Each Network is determined by couples: social media / query.

### **Author** and **Post**

SlideYourNet is collecting only public posts (content, image, publication date and localization when available) and their author (username, user photo).

## Responsibility

### Filters and moderation

The Owner can define "allow list" and "deny list" for automatic moderation.  
Even if fetched Posts match a specific request (username, hashtag...), SlideYourNet allows the Owner to toggle manually each Post.
In this case, the Post does not appears in feeds, but still remains in database.
For a complete deletion, the post and or user has to be deleted.

### Data treatment

SlideYourNet stores data in its database for the exclusive use of the Owner.  
SlideYourNet does not make any treatment, does not share and does not sale any of these informations.  
Posts and Authors are requested in the name of the Owner of the Session.  
The Owner is the only one who can access and manage these data. It is their responsibility to keep connexion identifiers secret.  
SlideYourNet displays the stored Posts as slider on the SlideYourNet app, and allows Owner to display Posts on a website.

SlideYourNet considers that Author's privacy is the Owner responsibility.  
The Owner can delete each Post if the Author ask for it. As SlideYourNet do not store any contact information about the Owner, SlideYourNet can directly be contacted about abuse.  
If you want us to delete your data, [email to account@slideyour.net](mailto:account@slideyour.net), please provide your username(s) on the social media involved.
