<?php
/*
 * Utils functions pack
 *
 */

 /*
  * Function is_request
  * tests if item is set and not empty in a superglobal $_REQUEST, $_GET or $_POST
  *
  */
 function is_request($var){
 	return isset($_REQUEST[$var]) && !empty($_REQUEST[$var]);
 }
  function is_get($var){
 	return isset($_GET[$var]) && !empty($_GET[$var]);
 }
   function is_post($var){
   return isset($_POST[$var]) && !empty($_POST[$var]);
 }


 /*
  * Redirect
  *
  */
function redirect($url){
	header('location:'.$url);
	exit;
}

function panic($str, $debug=false){
  echo '<div class="eg-panic"><div class="eg-panic-content">'.$str.($debug ? debug($debug, 1) : '').'</div></div>';
  die();
}

function debug($whatever, $verbose=0, $echo=false){
  global $eg;
  if(!$eg->debug){
    return;
  }
  if($whatever === false){
    $whatever = 'false';
  }
  if($whatever === null){
    $whatever = 'null';
  }
  if($verbose){
    if((defined('DOING_CRON') && DOING_CRON) || CLI){
      $return = print_r($whatever, true);
    }
    else{
      $return = '<pre>'.print_r($whatever, true).'</pre>';
    }
  }
  else{
    $return = print_r($whatever, true);
  }
  if($echo && (!defined('AJAX') || !AJAX)){
    echo "$return\n";
  }
  return $return;
}

function parse_params(array $default, array $param, $escape=false){
  global $eg;
  foreach ($default as $k => $v) {
      if (isset($param[$k])) {
          $param[$k] = $escape ? $eg->mysqli->real_escape_string($param[$k]) : $param[$k];
      }
      else {
          $param[$k] = $default[$k];
      }
  }
  return $param;
}
