/* global eg_admin */

var lastmaxid = 0;
var lastmaxuid = 0;
var page_item = 1;
var page_user = 1;

var currentuserinfo = '';

var domain_ajax = domain_stat = domain_mod = domain_users = domain_items = domain_snapshots = domain_api = (eg_admin.server.protocol) + '://' + (eg_admin.server.name);
if(eg_admin.use_subdomains){
    domain_stat = (eg_admin.server.protocol) + '://stat.' + (eg_admin.server.name);
    domain_mod = (eg_admin.server.protocol) + '://mod.' + (eg_admin.server.name);
    domain_users = (eg_admin.server.protocol) + '://users.' + (eg_admin.server.name);
    domain_items = (eg_admin.server.protocol) + '://items.' + (eg_admin.server.name);
    domain_snapshots = (eg_admin.server.protocol) + '://snapshots.' + (eg_admin.server.name);
    domain_api = (eg_admin.server.protocol) + '://api.' + (eg_admin.server.name);
}

function __(string){
    console.log(string);
    console.log(eg_admin.strings);
    if(eg_admin.strings[string]){
        return eg_admin.strings[string];
    }
    return string;
}
function set_height() {
   if (is_in_console) {
        height = $('body').height();
        if(height===0){
            height=1000;
        }
        parent.jQuery('#networks_admin').height(height+20);
    }
}

function chekdiftime() {
    var date = new Date();
    var now = date.getTime() / 1000;
    // console.log('maintenant = '+now);
    $('.items_list .item-content time').each(function () {
        var d = Math.round(now - parseInt($(this).attr('data-time')));
        var dif = d + ' seconds';
        if(d < 50)
            dif = 'Just now';
        if (d > 60)
            dif = Math.floor(d / 60) + ' minutes';
        if (d > 60 * 60)
            dif = Math.floor(d / 60 / 60) + ' hours';
        if (d > 60 * 60 * 24)
            dif = Math.floor(d / 60 / 60 / 24) + ' days';
        if (d > 60 * 60 * 24 * 7)
            dif = Math.floor(d / 60 / 60 / 24 / 7) + ' weeks';
        if (d > 60 * 60 * 24 * 30)
            dif = Math.floor(d / 60 / 60 / 24 / 30) + ' months';
        if (d > 60 * 60 * 24 * 365)
            dif = Math.floor(d / 60 / 60 / 24 / 365) + ' years';
        $(this).text(dif);
    });
    setTimeout('chekdiftime()', 1000);
}
function refresh_displayed() {
    if ($('#displayed').html() !== '') {
        $('#displayed').html('');
        refresh_items(false, '#displayed', '', '', 1, 10, 1);
    }
}
function mkstat() {
    $('#items,#users,#displayed').tooltip();
    $('.item-with-media').each(function(){
        if(!$(this).hasClass('lightview')){
            $(this).addClass('lightview');
            $(this).featherlight();
        }
    });
   /* $('.item-media').unbind('click').click(function(){
        $(this).featherlight($(this).attr('src'));
    });*/
    $('.item .status').unbind('click').click(function () {
        var datas = {};
        if ($(this).data('value') === 1) {
            datas.mod = 0;
        } else {
            datas.mod = 1;
        }
        datas.id = $(this).data('id');
        datas.type = $(this).data('type');
        datas.s = eg_admin.session.name;
        datas.t = eg_admin.session.token;
        $.ajax({
            url: domain_stat + '/admin/ajax/',
            data: datas,
            crossDomain: true,
            dataType: 'text'
        }).done(function (rep) {
            if (rep === '1') {
                refresh_displayed();
                var kimod = 'item';
                $('.' + datas.type + '' + datas.id).removeClass('mod0 mod1');
                $('.' + datas.type + '' + datas.id).addClass('mod' + datas.mod);
                //$('#' + datas.type + '' + datas.id + ' .status').data('value', datas.mod).removeClass('moderate-1 moderate-0').addClass('moderate-'+datas.mod);
                $('#' + datas.type + '' + datas.id + ' .' + kimod + '-status').data('value', datas.mod).removeClass('moderate-1 moderate-0').addClass('moderate-' + datas.mod);
                mkstat();
            }
        });
    });
    $('.user .status-list span').unbind('click').click(function () {
        var datas = {};
        datas.mod = 1;
        if ($(this).data('value') !== undefined) {
            datas.mod = $(this).data('value');
        }
        datas.id = $(this).data('id');
        datas.type = $(this).data('type');
        datas.s = eg_admin.session.name;
        datas.t = eg_admin.session.token;
        $.ajax({
            url: domain_mod + '/admin/ajax/',
            data: datas,
            crossDomain: true,
            dataType: 'text'
        }).done(function (rep) {
            if (rep === '1') {
                refresh_displayed();
                var kimod = 'item';
                for(m=0; m<3 ; m++){
                    $('.' + datas.type + '' + datas.id+' .status-list .user-status-'+m).removeClass('dashicons-star-filled dashicons-star-empty');
                    m_class = 'empty';
                    if(m<=datas.mod){
                        m_class = 'filled';
                    }
                    $('.' + datas.type + '' + datas.id+' .status-list .user-status-'+m).addClass('dashicons-star-'+m_class);
                }
                //$('.' + datas.type + '' + datas.id).addClass('mod' + datas.mod);
                //$('#' + datas.type + '' + datas.id + ' .status').data('value', datas.mod).removeClass('moderate-1 moderate-0').addClass('moderate-'+datas.mod);

                //$('li.user' + datas.id).removeClass('mod0 mod1').addClass('mod' + datas.mod);
                //$('span.user' + datas.id).removeClass('moderate-0 moderate-1').addClass('moderate-' + datas.mod).data('value', datas.mod);
                mod_val=1;
                if (datas.mod < eg_admin.session.mod) {
                    mod_val=0;
                }
                $('.user' + datas.id).removeClass('mod0 mod1').addClass('mod' + mod_val);
                $('.user-item' + datas.id).removeClass('mod0 mod1').addClass('mod' + mod_val);
                $('.user-item' + datas.id).find('.item-status').data('value', mod_val).removeClass('moderate-1 moderate-0').addClass('moderate-' + mod_val);

                kimod = 'user';
                $('#' + datas.type + '' + datas.id + ' .' + kimod + '-status').data('value', mod_val).removeClass('moderate-1 moderate-0').addClass('moderate-' + mod_val);
                mkstat();
            }
        });
    });
    $('.del').unbind('click').click(function () {
        if (confirm('Suppression : ok ?')) {
            var datas = {
                del: ''
            };

            datas.id = $(this).data('id');
            datas.type = $(this).data('type');
            datas.s = eg_admin.session.name;
            datas.t = eg_admin.session.token;
            $.ajax({
                url: domain_stat + '/admin/ajax/',
                data: datas,
                crossDomain: true,
                dataType: 'text'
            }).done(function (rep) {
                if (rep === '1') {
                    $('#' + datas.type + '' + datas.id).remove();
                    if (datas.type === 'user') {
                        $('.user' + datas.id).parent().remove();
                    }
                    refresh_displayed();
                }
            });
        }
    });
    $('#users b,#items .user,#displayed .user').unbind('click').click(function () {
        userid = $(this).data('id');
        if (currentuserinfo === userid) {
            currentuserinfo = '';
            $('#userinfo').html('').attr({class: 'userinfo-closed'});
        }
        else {
            currentuserinfo = userid;
            username = $(this).data('username');
            network = $(this).data('network');
            avatar = $(this).data('avatar');
            user_status = $(this).data('status');

            user_details = '<h2><button class="close">❎</button> '+__('User details')+'</h2><div class="innerwrap user user'+userid+'">';
            if (avatar !== '') {
                user_details += '<img class="avatar" src="' + avatar + '">';
            }
            user_details += '<h3>' + username + '</h3>';
            user_details += '<p>id: ' + userid + '</p>';
            user_details += '<div class="status-list user-status">';
            for(m=0 ; m<3 ; m++){
                user_details += '<span class="user-status-'+m+' dashicons dashicons-star-' + (user_status>=m?'filled':'empty') + '" data-id="' + userid + '" data-value="' + m + '" data-type="user" title="moderate for user and all attached items"> </span>';
            }
            user_details += '</div>';
            user_details += '<p class="network ' + network + '">' + network + '</p>';
            user_details += '<div class="column_wrap"><div id="user_items" class="items_list row"></div></div></div>';

            $('#userinfo').attr({class: 'userinfo-open'});

            $('#userinfo').html(user_details);
            $('#userinfo .close').click(function () {;
                $('#userinfo').html('').attr({class: 'userinfo-closed'});
            });
            refresh_items(false, '#user_items', username, network);

        }
    });

    //refresh item
    $('.item_refresh').unbind('click').click(function () {
        var update_id = $(this).attr('data-id');
        datas = {
            list_items: '1',
            page: 1,
            item_id: update_id,
            s: eg_admin.session.name,
            t: eg_admin.session.token
        };

        $.ajax(domain_items + '/admin/ajax/', {
            data: datas,
            crossDomain: true,
            dataType: 'json',
            success: function (data) {
                item = data[0];
                $('#item' + update_id).html(item_content(item)).removeClass('mod0 mod1').addClass('mod' + item.status);
                mkstat();
            },
            error: function () {
                console.log('error');
            }
        });
    });

    //get snapshot
    $('.snapshot_url').unbind('click').click(function () {
        var update_id = $(this).attr('data-id');
        datas = {
            snapshot: update_id,
            s: eg_admin.session.name,
            t: eg_admin.session.token
        };
        $(this).css('color', '#FC0').unbind('click');
        var snap_this = $(this);
        $.ajax(domain_snapshots + '/admin/ajax/', {
            data: datas,
            crossDomain: true,
            dataType: 'json',
            success: function (data) {
                if (data.media_url) {
                    $('#item' + update_id + ' .item_refresh').trigger('click');
                }
                else {
                    $(snap_this).css('color', '#F00');
                }
                mkstat();
            },
            error: function () {
                console.log('error');
                mkstat();
            }
        });
    });
}
function item_content(item) {
    original_user = false;
    if(item.reposter && item.reposter.id){
        original_user = item.user;
        item.user_id = item.reposter.id;
        item.user = item.reposter;
    }
    list = '';
    list += '<span class="item_refresh dashicons" data-id="' + item.id + '"></span>';

    if (item.media_url !== '') {
        list += '<div class="item-with-media" data-featherlight="' + item.media_url + '">';
        list += str_replace('#', ' #', item.content) + ' ';
        list += '<img src="' + item.media_url + '" class="item-media" data-featherlight="' + item.media_url + '">';
    }
    else{
        list += '<div>' + str_replace('#', ' #', item.content) + ' ';
        if(item.quoted_post){
            list += '<blockquote>'+item.quoted_post.content+'</blockquote>';
        }
        if (item.expanded_url !== '') {//eg_admin.session.snapshot==1 &&
            list += '<span class="snapshot_url dashicons dashicons-format-'+(item.media_type ? item.media_type : 'gallery')+'" data-id="' + item.id + '"></span>';
        }
        else{

        }
    }
    if(original_user){
        list += '<span class="user' + item.original_user + ' user-repost-from" data-status="'+ original_user.status +'" data-avatar="' + original_user.avatar_url + '" data-username="' + original_user.name + '" data-network="' + original_user.network + '">'
                +'<i class="dashicons dashicons-controls-repeat"></i> '+original_user.name+'</span> ';
    }
    if(item.replied_post){
        list += '<span class="user' + item.replied_post.user.id + ' user-repost-from" data-status="'+ item.replied_post.status +'" data-avatar="' + item.replied_post.user.avatar_url + '" data-username="' + item.replied_post.user.name + '" data-network="' + item.replied_post.network + '">'
                +'<i class="dashicons dashicons-undo"></i> '+item.replied_post.user.name+'</span> ';
    }
    if(item.quoted_post){
        list += '<span class="user' + item.quoted_post.user.id + ' user-repost-from" data-status="'+ item.quoted_post.status +'" data-avatar="' + item.quoted_post.user.avatar_url + '" data-username="' + item.quoted_post.user.name + '" data-network="' + item.quoted_post.network + '">'
                +'<i class="dashicons dashicons-format-quote"></i> '+item.quoted_post.user.name+'</span> ';
    }

    list += '</div>';
    list += '<span class="user user' + item.user_id + '" data-id="' + item.user_id + '" data-status="'+ item.user.status +'" data-avatar="' + item.user.avatar_url + '" data-username="' + item.user.name + '" data-network="' + item.user.network + '">@' + item.user.name;
    list += ' <i>' + item.network + '</i>';
    list += '</span>';
    //list += '<span class="status user-status moderate-' + item.user.status + ' user' + item.user.id + ' dashicons dashicons-admin-users"  data-id="' + item.user.id + '" data-value="' + item.user.status + '" data-type="user" title="Toggle moderate for user and all attached items"> </span>';
    list += '<span class="status item-status  moderate-' + item.status + ' dashicons dashicons-visibility" data-id="' + item.id + '" data-value="' + item.status + '" data-type="item" title="Toggle moderate for item"> </span>';
    list += '<span class="del dashicons dashicons-post-trash" data-id="' + item.id + '" data-type="item" title="Delete item"> </span>';
    list += '<time data-time="' + item.timestamp + '"></time>';
    return list;
}

function refresh_users(before) {

    var delay_u = parseInt($('#rur').val()) * 1000;

    if (before === 'all')
        lastmaxuid = 0;
    if (before === false) {
        page_user++;
    }
    datas = {
        list_users: '1',
        per_page: 40,
        page: page_user,
        status: ''
    };
    if (before === true) {
        datas.minid = lastmaxuid;
        datas.auto = 1;
        datas.page = 1;
    }
    datas.s = eg_admin.session.name;
    datas.t = eg_admin.session.token;
    $.ajax(domain_users + '/admin/ajax/', {
        data: datas,
        crossDomain: true,
        dataType: 'json',
        success: function (data) {
            if (console && console.log) {
                var list = '';
                var i = 0;
                for (i in data) {
                    user = data[i];
                    user.id = parseInt(user.id);
                    if (!isNaN(user.id) && user.id !== true && user.id !== false && user.id > lastmaxuid) {
                        lastmaxuid = user.id;
                    }

                    list += '<li id="user' + user.id + '" class="mod' + (user.status>=eg_admin.session.mod?1:0) + ' user user' + user.id + ' ' + user.network + '">';
                    list += '<img src="' + (user.avatar_url!=='' ? user.avatar_url : '') + '" class="avatar user-avatar">';
                    list += '<b data-id="' + user.id + '" data-status="'+ user.status +'" data-avatar="' + user.avatar_url + '" data-username="' + user.name + '" data-network="' + user.network + '">' + user.name + '</b> ';
                    list += '<i>' + user.network + '</i>';
                    list += '<div class="status-list user-status">';
                    for(m=0 ; m<3 ; m++){
                        list += '<span class="user-status-'+m+' dashicons dashicons-star-' + (user.status>=m?'filled':'empty') + '" data-id="' + user.id + '" data-value="' + m + '" data-type="user" title="moderate for user and all attached items"> </span>';
                    }
                    list += '</div>';
                    list += '<span class="del  dashicons dashicons-post-trash" data-id="' + user.id + '" data-type="user" title="Delete user  and all attached items"> </span>';
                    list += '</li>';
                }
                if (before === true) {
                    $('#users').prepend(list);
                    setTimeout('refresh_users(true)', delay_u);
                } else {
                    if (before === 'all') {
                        $('#users').html(list);
                    } else {
                        $('#users').append(list);
                    }
                    if (i === 0) {
                        $('#more_users').hide();
                    } else {
                        $('#more_users').show();
                    }
                }
                mkstat();
            }
        },
        error: function () {
            if (before === true) {
                setTimeout('refresh_users(true)', delay_u);
            }
        }
    });
}

function refresh_items(before, where, username, network, status, per_page, page) {
    // items
    var delay_i = parseInt($('#rir').val()) * 1000;

    if (before === 'all') {
        lastmaxid = 0;
    } else if (before === false) {
        page_item++;
    }
    if (where === '' || where === undefined) {
        where = '#items';
    }
    if (status === '' || status === undefined) {
        status = '';
    }
    if (per_page === '' || per_page === undefined) {
        per_page = 20;
    }

    if (page === '' || page === undefined) {
        page = page_item;
    }
    datas = {
        list_items: '1',
        per_page: per_page,
        page: page,
        status: status
    };
    if (before === true) {
        datas.minid = lastmaxid;
        datas.auto = 1;
        datas.page = 1;
    }
    datas.s = eg_admin.session.name;
    datas.t = eg_admin.session.token;

    if (username !== '' && username !== undefined) {
        datas.username = username;
        datas.minid = 0;
        datas.auto = 1;
        datas.page = 1;
        datas.per_page = 10;
    }
    if (network !== '' && network !== undefined) {
        datas.network = network;
    }


    $.ajax(domain_items + '/admin/ajax/', {
        data: datas,
        crossDomain: true,
        dataType: 'json',
        success: function (data) {
            if (console && console.log) {
                var list = '';
                var i = 0;
                for (i in data) {
                    item = data[i];
                    item.id = parseInt(item.id);
                    if (!isNaN(item.id) && item.id !== true && item.id !== false && item.id > lastmaxid) {
                        lastmaxid = item.id;
                    }

                    list += '<article id="item' + item.id + '" class="col-sm-6 col-md-4 col-lg-3  mod' + item.status + ' ' + item.network + ' item item' + item.id + ' user-item'+ item.user.id +'">';
                    list += '<div class="item-content">'+item_content(item)+'</div>';
                    list += '</article>';
                }
                if (before === true) {
                    $(where).prepend(list);
                    setTimeout('refresh_items(true)', delay_i);
                } else {
                    if (before === 'all') {
                        $(where).html(list);
                    } else {
                        $(where).append(list);
                    }
                    if (i === 0) {
                        $('#more_items').hide();
                    } else {
                        $('#more_users').show();
                    }
                }
                mkstat();


            }
        },
        error: function () {
            if (before === true) {
                setTimeout('refresh_items(true)', delay_i);
            }
        }
    });
    datas.object = 'post';
    datas.type = 'stat';
    datas.status = 'all';
    $.ajax(domain_api + '/api/', {
        data: datas,
        crossDomain: true,
        dataType: 'text',
        success: function (data) {
            $('#itemsstat').text('(' + $('#items').children('.item').length + '/' + data + ')');
        },
        error: function () {
            console.log('error');
        }
    });

}

function network_preview(field){
    var target = field.parents('.syn-network-item');
    var network = target.attr('data-name');
    // console.log(network);
    var network_settings = eg_admin.net[network].settings;
    var network_target = target;

    data = {
        s: eg_admin.session.name,
        t: eg_admin.session.token,
        preview: 'preview',
        network: network,
        status: $('#network-status-'+network).is(':checked'),
        values: {},
        field: field.parents('.network_settings_field').attr('data-name'),
    };

    for(setting_name in network_settings){
        data.values[setting_name] = $('#networks-'+network+'-'+setting_name).val();
    }

    $.ajax(domain_ajax + '/admin/ajax/', {
        data: data,
        crossDomain: true,
        dataType: 'text',
        success: function (data) {
            network_target.html(data);
            $('input, select', target).on('change', function(){
                network_preview($(this));
            });
            $('.hidden_by_default', target).hide();
            $('.network-title', target).css({cursor: 'pointer'}).click(function () {
                $(this).parent().find('.hidden_by_default').toggle();
                set_height();
            });
            $(data).wrapAll('<div></div>').parent().find('script').each(function(){
                eval($(this).text());
            });
        },
        error: function () {
            console.log('error');
        }
    });
}

function network_preload_posts(){
    data = {
        s: eg_admin.session.name,
        t: eg_admin.session.token,
    };


    $.ajax(domain_ajax + '/cron/', {
        data: data,
        crossDomain: true,
        dataType: 'text',
        success: function (data) {

        },
        error: function () {
            console.log('error');
        }
    });
}

//console.log(eg_admin.session);
$(document).ready(function () {
    if ($('#admin-index').length > 0) {
        refresh_users(true);
        refresh_items(true, '', '', '', '', 20);
        $('.more').click(function () {
            if ($(this).data('action') === 'items') {
                refresh_items(false);
            }
            if ($(this).data('action') === 'users') {
                refresh_users(false);
            }
        });

        $('#tools').hide();
        $('#adminswitch').click(function () {
            $('#tools').animate({
                height: 'toggle'
            });
        });
        var panel_width = $('#panel').width();
        $('#panel').animate({
            width: 'toggle'
        }, 500);
        $('#adminvswitch').click(function () {

            if ($('#panel').css('display') === 'block') {
                $('#items').animate({
                    width: $('#itemszone').width() - 2
                }, 1000);
            }
            else {
                $('#items').animate({
                    width: $('#itemszone').width() - panel_width - 25
                }, 1000);
            }
            $('#panel').animate({
                width: 'toggle'
            }, 1000);
        });

    }
    chekdiftime();
    $('.hidden_by_default').hide();
    $('#admin-networks .network-title').css({cursor: 'pointer'}).click(function () {
        $(this).parent().find('.hidden_by_default').toggle();
        set_height();
    });

    $('.onoff input').change(function(){
        if($(this).is(':checked')){
            $(this).parents('.network_fieldset').removeClass('network-disabled');
            $(this).parents('.network_fieldset').addClass('network-enabled');
        }
        else{
            $(this).parents('.network_fieldset').addClass('network-disabled');
            $(this).parents('.network_fieldset').removeClass('network-enabled');
        }


    });


    $('.column_wrap').scroll(function () {
        max = $(this).children('.infinite-scroll').height() - $(this).height();
        scr = $(this).scrollTop();
        the_id = $(this).children('.infinite-scroll').attr('id');
        //console.log(the_id+' : '+scr+'/'+max);
        if (scr >= max) {
            console.log('refresh le truc !');
            if (the_id === 'items') {
                refresh_items(false);
            }
            if (the_id === 'users') {
                refresh_users(false);
            }
        }
    });
    var displayed_shown = false;

    $('#shown button').click(function () {
        if (displayed_shown === false) {
            hei = $('#itemszone').height() / 2;
            $('#itemszone .column_wrap').animate({height: hei + 'px', top: hei + 'px'}, 200);
            $('#shown').animate({height: (hei + 25) + 'px'}, 200);
            $('#displayed').show().animate({height: hei, padding: '10px'}, 300, function () {
                refresh_items(false, '#displayed', '', '', 1, 10, 1);
                displayed_shown = true;
            });
        }
        else {
            $('#displayed').html('');
            $('#itemszone .column_wrap').animate({height: '100%', top: '0'}, 200);
            $('#displayed').animate({height: 0, padding: 0}, 200, function () {
                $('#displayed').hide();
                $('#shown').css({height: '2rem'});
            });
            displayed_shown = false;
        }
    });

    $('#as').change(function () {
        $('body').animate({'font-size': $(this).val() + 'em'});
    });

    $('.syn-network-item input, .syn-network-item select').on('change', function(){
        if($(this).attr('data-callback')){
            eval($(this).attr('data-callback'));
        }
        network_preview($(this));
    });

    set_height();
    setTimeout('set_height()', 1000);

    console.log(self.name);

    if (self.name === 'wp_syn_admin') {
        $('body').addClass('in-wp');
    }


    // popup link
    jQuery('.open-in-popup').click(function (event) {
        var width = 800,
            height = 600,
            left = (jQuery(window).width() - width) / 2,
            top = (jQuery(window).height() - height) / 2,
            url = this.href,
            opts = 'status=1' +
            ',width=' + width +
            ',height=' + height +
            ',top=' + top +
            ',left=' + left;

        auth_popup = window.open(url, 'auth_popup', opts);
        auth_popup.focus();
        return false;
    });
    if (self.name && opener) {
        opener.location = eg_admin.server.protocol+'://'+eg_admin.server.name+'/admin/networks/?s='+eg_admin.session.name+'&t='+eg_admin.session.token;
        self.close();
    }

    if(load_posts_over_ajax != undefined && load_posts_over_ajax){
        network_preload_posts();
    }
});
