<?php
require('../ecologram.php');

$Privacy = new Parsedown();
$privacypolicy = '../includes/privacypolicy/privacy-policy-default.md';

if (file_exists('../includes/privacypolicy/privacy-policy-'.$eg->lang.'.md'))
{
    $privacypolicy = '../includes/privacypolicy/privacy-policy-'.$eg->lang.'.md';
}

?><!DOCTYPE html>
<html>
    <head>
        <meta charset="utf-8">
        <?php $eg->styles(); ?>
        <title><?= $eg->title ?></title>
        <link rel="shortcut icon" href="<?= $eg->base_url ?>/img/slideyournet-icon.png" />
        <link rel="apple-touch-icon" href="<?= $eg->base_url ?>/img/slideyournet-icon.png"/>
        <meta name="viewport" content="width=device-width, initial-scale=1"/>
    </head>
    <body id="eg_privacy-policy">
        <?php SYN()->template('header'); ?>
        <div class="container">
        <?php echo $Privacy->text(file_get_contents($privacypolicy));?>
        </div>
        <?php SYN()->template('footer'); ?>
    </body>
    <?php $eg->scripts(); ?>
</html>
