/* Users */
ALTER TABLE `{DB_PREFIX}users` ADD `external_id` VARCHAR(100) NULL AFTER `name`;

/* Items */
ALTER TABLE `{DB_PREFIX}items` ADD `root_item` BIGINT(20) NULL COMMENT 'FK to {DB_PREFIX}items ID. Primary ancestor' AFTER `pub_lon`;

/* Add FKs */
ALTER TABLE `{DB_PREFIX}users` ADD CONSTRAINT FK_session FOREIGN KEY (session_id) REFERENCES {DB_PREFIX}sessions(id);
ALTER TABLE `{DB_PREFIX}networks` ADD CONSTRAINT FK_session FOREIGN KEY (session_id) REFERENCES {DB_PREFIX}sessions(id);
ALTER TABLE `{DB_PREFIX}items` ADD CONSTRAINT FK_session FOREIGN KEY (session_id) REFERENCES {DB_PREFIX}sessions(id);
ALTER TABLE `{DB_PREFIX}items` ADD CONSTRAINT FK_user FOREIGN KEY (user_id) REFERENCES {DB_PREFIX}users(id);
ALTER TABLE `{DB_PREFIX}items` ADD CONSTRAINT FK_primary_ancestor FOREIGN KEY (root_item) REFERENCES {DB_PREFIX}items(id);
