
# Version 4: MainStream

## 4.8.2

- Manage Facebook's "new pages"
- Use utf8mb4 for users

## 4.8.1

- Add a privacy-policy acception checkbox
- Factorize alert CSS
- add sub part responsibilty
- color h1, h2 Headings
- Add definitions and responsibility to privacy policy

## 4.8

- Finally implement Instagram over Graph API
- Remove groups and events from FB
- Move to pretty URLs
- Add CLI commands
- Add logs
- Start refactor: use `SYN()` instead of `global $eg`

Public Pages

- Add templates for Privacy / API
- Add viewport meta for responsive
- Add connection form on main page

Back Office

- Ajax refresh for networks
- Style harmonization
- Update Dashicons
- Add pretty 404

## 4.7.3

- Pass proxied URL in api/ajax view of user and items.
- Fullscreen slideshow

## 4.7.2

- Improve front slideshow

## 4.7.1

- session with no network are inactive
- add network count in SU
- responsive SU

## 4.7

- Add semi-static values for last updated date and last fetched date in session (improves statistics performances)
- Order by last fetched date in autocron, to avoid forgetting sessions
- Allow to (en/dis)able stats in sessions list
- Load conf before buffer output
- Remove warnings when verbosity is too high in autocron

## 4.6.1

- Get posts from user in instagram
- Improves slideshow
- Allow to store big values in cache

## 4.6

- Get posts from user in instagram
- Improves slideshow
- Allow to store big values in cache

## 4.5

* Add Superuser dashboard
* Add API logging
* Correct MimeType for API
* Add Offset param to Post API
* Hard correct session slugs
* Fix SQL file for fresh install
* hide errors

## 4.3

- Add the username in the connect button
- Fix facebook login restricted URLs
- code cleanup
- Update CI/CD

## 4.2

- Add advanced settings : set activation date range
- Redirects after form post
- Displays notices after saving settings
- Adds verbosity parameter in API (v=-1 / 2)
- fix icons in header
- Update RSS scheme
- relative htaccess
- Fix crash error when DB is not reachable

## 4.1

- Add SQL upgrade manager
- Add support for replies and quotes
- Add media-type support
- Add debug mode (requires `$conf['debug']=true;` in *config.php*)
- Move bootstrap to composer
- Cleanup unused files
- Bug fix: Media URL in subdir installations

## 4.0

- Get full tweets

## 4.0-Beta

- Adds Facebook support
    - Uses Facebook Connect
- Uses twitter connect
    - Uses REST api instead of Stream API, get older posts
- Multithread cron
- Responsive admin UI
- Add localizable networks settings description
- Fix tranlations

# Version 3: LiveStream

## 3.8.1

* Add option to allow empty posts

## 3.8

* Fix utf8 bug
* Fix snapshot bug
* Better admin UI
* Extend localization to all strings
* verbose cron

## 3.7

* Fix XSS vuln
* white list users support
* Fix concurent ajax connexions bug

## 3.6

* Count of posts
* RSS and Json feeds

## 3.5

* Usage of .po/.mo for L10n
* MySQL > MySQLi
* Usage of icons
* Changeable size of admin
* Sessions can be created from the home page

## 3.4

* Parse hastags, mentions and links

## 3.3

* Infinite scroll
* User's details

## 3.2

* URL snapshots

## 3.1

* cronjob
* App ecosystem introduction. Unification of Instagram and twitter protocols

## 3.0

* twitter Stream API
* Many templates on front
* Add multiple sessions

# Version 2: Ecologram

Standalone

* API twitter
* API Instagram real time

# Version 1: InsideWP

* Slides control UI
* twitter via native widget
* Integration of calendar


# Version 0: Genesis
Livewall

* Self filled items
* Templates for: twitter, facebook, mail, SMS
