<?php
ob_start();
require('../ecologram.php');
$eg->check_token();
$eg->admin_post();

$Parsedown = new Parsedown();
?><!DOCTYPE html>
<html id="admin-networks-html">
    <head>
        <meta charset="utf-8">
        <link rel="stylesheet" href="<?php echo $eg->base_url; ?>vendor/twbs/bootstrap/dist/css/bootstrap.min.css" />
        <link rel="stylesheet" href="<?php echo $eg->base_url; ?>/css/ecologram-admin.css" />
        <link rel="stylesheet" href="<?php echo $eg->base_url; ?>/css/dashicons.min.css" />
        <link rel="shortcut icon" href="<?php echo $eg->base_url; ?>/img/slideyournet-icon.png" />
        <link rel="apple-touch-icon" href="<?php echo $eg->base_url; ?>/img/slideyournet-icon.png"/>
        <title><?php echo $eg->session->name; ?> - <?php echo $eg->title; ?></title>
    </head>
    <body id="admin-advanced" class="admin-advanced admin-page row-fluid">
        <div id="page">
            <?php include('header.php'); ?>

            <form action="<?php echo $eg->admin_url; ?>advanced/?s=<?= $eg->session->name ?>&t=<?= $eg->session->token ?>" method="post" id="syn-advanced-form">
                <input type="hidden" name="syn-form" value="advanced">
                <div class="row" id="content">
                    <div class="col-md-6 col-md-offset-3">
                        <div class="row" id="content">

                            <h3><?php _e('Session is active'); ?></h3>

                            <div class="col-md-12 network_fieldset">
                                <label>
                                    <?php _e('From:'); ?>
                                    <input type="text" name="session[date_begin]" class="form-control" value="<?php echo $eg->session->date_begin; ?>">
                                </label>
                            </div>
                            <div class="col-md-12 network_fieldset">
                                <label>
                                    <?php _e('To:'); ?>
                                    <input type="text" name="session[date_end]" class="form-control" value="<?php echo $eg->session->date_end; ?>">
                                </label>
                            </div>

                            <div class="col-md-12 text-right">
                                <input type="submit" value="<?php _e('Save'); ?>" class="btn btn-primary btn-lg">
                            </div>
                        </div><!-- row -->
                    </div><!-- col -->
                </div><!-- row -->
            </form>
        </div>
        <?php $eg->admin_scripts(); ?>
        <script>
            var is_in_console = false;
            if (self.name === 'syn_admin_frame') {
                parent.eg_admin = eg_admin;
                is_in_console = true;
            }
            var current_page = 'advanced';
        </script>
        <?php $eg->print_scripts(); ?>
    </body>
</html>
<?php ob_end_flush(); ?>
