<?php
ob_start();
require('../ecologram.php');
$eg->from_session();
$eg->check_token();
$eg->admin_post();

$Parsedown = new Parsedown();
?><!DOCTYPE html>
<html id="admin-networks-html">
    <head>
        <meta charset="utf-8">
        <link rel="stylesheet" href="<?php echo $eg->base_url; ?>vendor/twbs/bootstrap/dist/css/bootstrap.min.css" />
        <link rel="stylesheet" href="<?php echo $eg->base_url; ?>/css/ecologram-admin.css" />
        <link rel="stylesheet" href="<?php echo $eg->base_url; ?>/css/dashicons.min.css" />
        <link rel="shortcut icon" href="<?php echo $eg->base_url; ?>/img/slideyournet-icon.png" />
        <link rel="apple-touch-icon" href="<?php echo $eg->base_url; ?>/img/slideyournet-icon.png"/>
        <title><?php echo $eg->session->name; ?> - <?php echo $eg->title; ?></title>
    </head>
    <body id="admin-networks" class="admin-networks admin-page row-fluid">
        <div id="page">
            <?php include('header.php'); ?>

            <form action="<?php echo $eg->admin_url; ?>networks/?s=<?= $eg->session->name ?>&t=<?= $eg->session->token ?>" method="post" id="syn-networks-form">
                <div class="row" id="content">
                    <div class="col-md-2 col-sm-3 admin-aside">


                        <div class="row">
                            <div class="col-md-12 network_fieldset">
                                <label>
                                    <?php _e('Moderation level'); ?>
                                    <select name="session[mod]" class="form-control">
                                        <option value="0" <?= ($eg->session->mod == 0 ? 'selected' : '') ?>><?php _e('Smooth'); ?></option>
                                        <option value="1" <?= ($eg->session->mod == 1 ? 'selected' : '') ?>><?php _e('Normal'); ?></option>
                                        <option value="2" <?= ($eg->session->mod == 2 ? 'selected' : '') ?>><?php _e('Hard'); ?></option>
                                    </select>
                                </label>
                            </div>
                            <div class="col-md-12 network_fieldset">
                                <label>
                                    <?php _e('SnapShot URLs'); ?>
                                    <select name="session[snapshot]" class="form-control">
                                        <option value="0" <?= ($eg->session->snapshot == 0 ? 'selected' : '') ?>><?php _e('No'); ?></option>
                                        <option value="1" <?= ($eg->session->snapshot == 1 ? 'selected' : '') ?>><?php _e('Yes'); ?></option>
                                    </select>
                                </label>
                            </div>
                            <div class="col-md-12 network_fieldset">
                                <label>
                                    <?php _e('Allow duplicate content ?'); ?>
                                    <select name="session[duplicate]" class="form-control">
                                        <option value="0" <?= ($eg->session->duplicate == 0 ? 'selected' : '') ?>><?php _e('No'); ?></option>
                                        <option value="1" <?= ($eg->session->duplicate == 1 ? 'selected' : '') ?>><?php _e('Yes'); ?></option>
                                    </select>
                                </label>
                            </div>
                            <div class="col-md-12 network_fieldset">
                                <label>
                                    <?php _e('Allow empty content ?'); ?>
                                    <select name="session[empty]" class="form-control">
                                        <option value="0" <?= ($eg->session->empty == 0 ? 'selected' : '') ?>><?php _e('No'); ?></option>
                                        <option value="1" <?= ($eg->session->empty == 1 ? 'selected' : '') ?>><?php _e('Yes'); ?></option>
                                    </select>
                                </label>
                            </div>
                            <div class="col-md-12 network_fieldset">
                                <label>
                                    <?php _e('Enable advanced repost'); ?>
                                    <select name="session[advanced_repost]" class="form-control">
                                        <option value="0" <?= ($eg->session->advanced_repost == 0 ? 'selected' : '') ?>><?php _e('No'); ?></option>
                                        <option value="1" <?= ($eg->session->advanced_repost == 1 ? 'selected' : '') ?>><?php _e('Yes'); ?></option>
                                    </select>
                                </label>
                            </div>
                        </div>

                    </div>
                    <div class="col-md-10 col-sm-9">


                        <div class="container">
                            <div class="row">
                                <div class="col-md-12 text-right">
                                    <a href="<?php echo $eg->admin_url; ?>advanced/?s=<?php echo $eg->session->name; ?>&t=<?php echo $eg->session->token; ?>">
                                        <span class="dashicons dashicons-admin-tools"></span>
                                        <?php _e('Advanced'); ?>
                                    </a>
                                </div>
                                <?php foreach ($eg->networks as $network => $attributes) : ?>
                                    <div class="syn-network-item col-md-12" data-name="<?php echo $network; ?>">

                                            <?php include 'network-item.php'; ?>

                                    </div>
                                <?php endforeach; ?>
                            </div>
                            <div class="col-md-12 text-right">
                                <p>
                                    <input type="submit" value="<?php _e('Save'); ?>" class="btn btn-primary btn-lg">
                                </p>
                            </div>
                        </div>

                    </div>
                </div>
            </form>
        </div>
        <?php $eg->admin_scripts(); ?>
        <script>
            var is_in_console = false;
            if (self.name === 'syn_admin_frame') {
                parent.eg_admin = eg_admin;
                is_in_console = true;
            }
            var current_page = 'network';
            <?php if(filter_input(INPUT_GET, 'message') == 6): ?>
            var load_posts_over_ajax = true;
            <?php endif ?>
        </script>
        <?php $eg->print_scripts(); ?>
    </body>
</html>
<?php ob_end_flush(); ?>
