# SlideYourNet Networks

Here are social media modules.

Each module has to set in its folder.

## Naming

By convention, folder name (aka, the network name) must be alpha lowercase.

## Structure

Required files are:

- settings.json _(will store settings in database)_
- cron.php _(will be called by cron jobs)_

Optionnal files:

- settings.php _(will be displayed in setings page under auto generated settings)_


## settings.json format

The content of settings.json is a multidimensionnal associative object for each setting fields, as it:

- fieldname :
  - type: text, select
  - label: string
  - hidden_by_default: boolean _(optionnal)_
  - description: string _(optionnal)_
  - values (required for select, key:values association)

example:

```json
{
	"token":{
		"type": "text",
		"label":"Token",
		"hidden_by_default":true
	},
	"is_ok":{
		"type": "select",
		"label":"Is it OK?",
		"values":{
			"yes":"Yes",
			"no":"No"
		}
	},
	"query":{
		"type": "text",
		"label":"Query",
		"description": "What is its purpose"
	}
}
```

## cron.php

All verificatin should already be done, just put the code for posts fetching and registration in database with the `SYN()->add();` function.
