var domain_stat = eg.base_path;
var refresh_delay = eg.refresh_delay*1000;

function go() {
    $('img.eg_media').css({opacity: 0});
    fitimg();
    $('.tweet').css('padding-top', ((parseInt($('body').height()) - parseInt($('.tweet').height())) / 2) + 'px');
    $('#user').animate({opacity: 1, marginLeft: '0'}, 1000);
    $('.avatar').animate({opacity: 1}, 750);
    $('#time').animate({opacity: 1}, 100);

    $('.tweet').animate({opacity: 1}, 100);

    $('#content p').animate({opacity: 1}, 500, function () {
        fitimg();
    });
    $('.instagram img').animate({opacity: 1, marginLeft: '20%'}, 750, function () {
        fitimg();
    });
    $('body').animate({opacity: 1});
    window.setTimeout(function() { getItems() }, refresh_delay);
}

function out(item, first_call) {
  $('body').animate({opacity: 0});
    $('#user').animate({opacity: 0, marginLeft: '1em'}, 750);
    $('.avatar').animate({opacity: 0}, 750);
    $('#time').animate({opacity: 0, bottom: 0}, 750);

    $('#content p,#content img').animate({opacity: 0}, 750);
    $('.tweet').animate({opacity: 0}, 750);
    $('.instagram img').animate({opacity: 0, marginLeft: '40%'}, 750);
    window.setTimeout(function() { display(item); go() }, first_call===null ? 800 :0);
}

function fitimg() {
    // $('img.eg_media').each(function () {
    //     img_offset = $(this).offset();
    //     if (img_offset.top + $(this).height() > $('html').height()) {
    //         ho = $('html').height() - img_offset.top - 20;
    //         if (ho < 50)
    //             ho = 50;
    //         $(this).animate({opacity: 1, height: ho + 'px', width: 'auto'}, 750);
    //     }
    //     else if (img_offset.left + $(this).width() > $('html').width()) {
    //         wi = $('html').width() - img_offset.left - 30;
    //         if (wi < 50)
    //             wi = 50;
    //         $(this).animate({opacity: 1, width: wi + 'px', height: 'auto'}, 750);
    //     }
    //     else {
    //         $(this).animate({opacity: 1}, 750);
    //     }
    // });
}

function display(item) {
    var body = document.getElementsByTagName("body")
    $(body).find('#link-item').attr('href', item.pub_url);
    $(body).find('#item').addClass(item.network);
    if (item.media_url) {
        $(body).find('#texto').addClass('with_media');
        $(body).css('background-image', 'url('+item.media_url+')' );
        $('.slider-page__content').css('background-image', 'url('+item.media_url+')');
    }
    else{
        $(body).find('#texto').addClass('no_media');
    }
    $('.slider-page__title').css('content', '('+item.media_url+')');
    $('#texto').text(item.content);
}

$(document).ready(function () {
    getItems(true);
    // if ($('#eg_slide').length > 0 || $('#eg_pix').length > 0) {
    //     $('img.eg_media').css({opacity: 0});
    //     fitimg();
    //
    //     $('.tweet').css('padding-top', ((parseInt($('body').height()) - parseInt($('.tweet').height())) / 2) + 'px');
    //     $('#user').animate({opacity: 1, marginLeft: '0'}, 1000);
    //     $('.avatar').animate({opacity: 1}, 500);
    //     $('#time').animate({opacity: 1}, 1500);
    //
    //     $('.tweet').animate({opacity: 1}, 500);
    //
    //
    //
    //     $('#content p').animate({opacity: 1}, 500, function () {
    //         fitimg();
    //     });
    //
    //     $('.instagram img').animate({opacity: 1, marginLeft: '20%'}, 500, function () {
    //         fitimg();
    //     });
    //
    //
    //
    //
    //     // window.setTimeout(function() { out() }, 3000);
    // }
    // else {
    //     window.setTimeout(function() { go() }, 2000);
    // }
});


function getItems( first_call = null ) {


    var datas = {};
    datas.type = "LIVEWALL";

    $.ajax({
        url: domain_stat + "ajax/",
        data: datas
    })
        .done(response => {
            var item = JSON.parse(response)[0];
            out(item, first_call);
        })
        .fail(error => {
            console.error(error);
        });
}
