<?php
require('../ecologram.php');
$date_format = __('m/d/Y H:i');
?><!DOCTYPE html>
<html>
<?php

require('./header.php');

isset($_GET['active-session-su']) ? $active = $_GET['active-session-su'] :  $active = false;
isset($_GET['search']) ? $search = $_GET['search'] :  $search = "";
isset($_GET['order-by-session-su']) ? $orderBy = $_GET['order-by-session-su'] :  $orderBy = 'id';
isset($_GET['order-desc-session-su']) ? $orderDesc = true : $orderDesc = false;
isset($_GET['page']) ? $page = $_GET['page'] :  $page = 0;
isset($_GET['per_page']) ? $per_page = $_GET['per_page'] :  $per_page = 20;
isset($_GET['view_stats']) ? $view_stats = $_GET['view_stats'] :  $view_stats = false;

if (isset($_POST['action_sa']))
  $eg->update_syn_sessions($_POST['action_sa'], $_POST['session_name'], ($_POST['date_begin'] ? $_POST['date_begin'] : "0000-00-00"), ($_POST['date_end'] ? $_POST['date_end'] : "0000-00-00"), $_POST['id']);

if (isset($_POST['update']))
  $eg->update_syn_sessions($_POST['session_name'], ($_POST['date_begin'] ? $_POST['date_begin'] : NULL), ($_POST['date_end'] ? $_POST['date_end'] : NULL), $_POST['session-id']);

if (isset($_POST['delete']))
  $eg->delete_syn_sessions($_POST['session-id']);

// $query = $eg->get_syn_sessions($search, $orderBy, $orderDesc, $page, $per_page, $view_stats);

$count_params = array(
  'return' => array(
    'id',
  ),
);
$search_params = array(
  'orderby' => $orderBy.' '.($orderDesc ? 'DESC' : 'ASC'),
  'limit' => ($page*$per_page).','.$per_page,
  'return' => array(
    'id',
    'name',
    'token',
    'date_end',
    'date_begin',
    'date_updated',
    'date_fetched',
  ),
);
if($active!==null){
  $count_params['active']= $active;
  $search_params['active']= $active;
}
if($search){
  $count_params['search']= $search;
  $search_params['search']= $search;
}
if($view_stats){
  $search_params['return'][] = '(SELECT COUNT(u.id) FROM ' . $eg->config['db_prefix'] . 'users u WHERE u.`session_id` = s.id) as users_count';
  $search_params['return'][] = '(SELECT COUNT(i.id) FROM ' . $eg->config['db_prefix'] . 'items i WHERE i.`session_id` = s.id) as items_count';
  $search_params['return'][] = '(SELECT COUNT(n.id) FROM ' . $eg->config['db_prefix'] . 'networks n WHERE n.`session_id` = s.id) as network_count';
}
else{
  $search_params['return'][] = 'NULL as `users_count`';
  $search_params['return'][] = 'NULL as `items_count`';
  $search_params['return'][] = 'NULL as `network_count`';
}
$all_sessions_ids = $eg->list_sessions($count_params);
$sessions = $eg->list_sessions($search_params);

$nbResults = count($all_sessions_ids);
?>

<body>

<center><h1><?php _e('SlideYourNet / Control panel'); ?></h1></center>

<div class="shadow-lg p-3 mb-5 rounded">
<form action="index.php" method="GET" id='search-bar-session'>
  <div class="search-bar">
    <div class="row">
      <div class="input-group mb-3 col-8 col-xl-2">
        <div class="input-group-prepend">
          <span class="input-group-text"><?php _e('Name'); ?></span>
        </div>
        <input type="text" name='search' class="form-control" aria-label="Name" placeholder="Name" <?php $search != "" ? print("value='" . $search . "'") : "" ?>>
      </div>
      <div class="input-group col-4 col-xl-2">
        <span class="input-group-text mb-3"><?php _e('Active only'); ?></span>
        <label class="switch ml-2">
          <input type="checkbox" name="active-session-su" <?php echo($active == "on" ? "checked" : ""); ?> value="on">
          <span class="slider round"></span>
        </label>
      </div>
      <div class="input-group col-6 col-lg-3 col-xl-2">
        <span class="input-group-text mb-3"><?php _e('View stats'); ?></span>
        <label class="switch ml-2">
          <input type="checkbox" name="view_stats" <?php echo ($view_stats ? "checked" : ""); ?> value="1">
          <span class="slider round"></span>
        </label>
      </div>
      <div class="input-group col-6 col-lg-3 col-xl-2">
        <span class="input-group-text mb-3"><?php _e('Order by'); ?></span>

        <select name="order-by-session-su" class="custom-select su-select">
          <option value="id" <?php ($orderBy == 'id') ? print("selected") : ""; ?>><?php _e('Choose...'); ?></option>
          <option value="name" <?php ($orderBy == 'name') ? print("selected") : ""; ?>><?php _e('Name'); ?></option>
          <option value="date_updated" <?php ($orderBy == 'date_updated') ? print("selected") : ""; ?>><?php _e('Latest update'); ?></option>
          <option value="date_fetched" <?php ($orderBy == 'date_fetched') ? print("selected") : ""; ?>><?php _e('Latest check'); ?></option>
          <option value="users_count" <?php ($orderBy == 'users_count') ? print("selected") : ""; ?>><?php _e('Post count'); ?></option>
          <option value="items_count" <?php ($orderBy == 'items_count') ? print("selected") : ""; ?>><?php _e('User count'); ?></option>
        </select>
      </div>
      <div class="input-group col-6 col-lg-3 col-xl-2 flex-nowrap">
        <span class="input-group-text mb-3"><?php _e('ASC'); ?></span>
        <label class="switch ml-2">
          <input name="order-desc-session-su" type="checkbox" <?php (!isset($_GET['order-by-session-su']) || (isset($_GET['order-desc-session-su']) && $_GET["order-desc-session-su"] == "on")) ? print("checked") : ""; ?>>
          <span class="slider round"></span>
        </label>
        <span class="input-group-text mb-3"><?php _e('DESC'); ?></span>
      </div>
      <div class="input-group col-6 col-lg-3 col-xl-2">
        <button class='btn btn-primary mb-3 col-6'>Search</button>
      </div>
    </div>
  </div>
<input id='page-session-su' name="page" type="hidden" value='<?php isset($_GET['page']) ? print($_GET['page']) : print("0"); ?>'>
<input name="per_page" type="hidden" value='<?php echo $per_page; ?>'>
</form>

<div id='table-session'>
  <div class="table-head d-none d-lg-flex">
      <div class="col-lg-2"><?php _e('Name'); ?></div>
      <div class="col-lg-1"><?php _e('Start date'); ?></div>
      <div class="col-lg-1"><?php _e('End date'); ?></div>
      <div class="col-lg-1"><?php _e('Last update'); ?></div>
      <div class="col-lg-1"><?php _e('Last check'); ?></div>
      <div class="col-lg-1"><?php _e('Posts'); ?></div>
      <div class="col-lg-1"><?php _e('Users'); ?></div>
      <div class="col-lg-1"><?php _e('Networks'); ?></div>
      <div class="col-lg-2"><?php _e('Actions'); ?></div>
  </div>
  <div>
    <?php
      foreach ($sessions as $session) {
            $row = (array) $session;
            echo "<form method='POST' id='session-" . $row['id'] . "'>";
            echo "<div class='d-block d-lg-flex tr-session mb-5 mb-lg-0' data-id='" . $row['id'] . "'>";
            echo "<div class='col-lg-2' scope='row'><input class='form-control' name='session_name' value='" . $row['name'] . "'></input></div>";
            echo "<div class='col-lg-1'>" . "<input type='date' name='date_begin' class='date form-control' value='". ($row['date_begin'] ? date("Y-m-d", strtotime($row['date_begin'])) : "")  ."' />" . "</div>";
            echo "<div class='col-lg-1'>" . "<input type='date' name='date_end' class='date form-control' value='". ($row['date_end'] ? date("Y-m-d", strtotime($row['date_end'])) : "")  ."' />" . "</div>";
            echo "<div class='d-inline d-lg-flex col-lg-1'>" . "<span>". ($row['date_updated'] ? date($date_format, strtotime($row['date_updated'])) : "")  ."</span>" . "</div>";
            echo "<div class='d-inline d-lg-flex col-lg-1'>" . "<span>". ($row['date_fetched'] ? date($date_format, strtotime($row['date_fetched'])) : "")  ."</span>" . "</div>";
            echo "<div class='d-inline d-lg-flex col-lg-1'>" . "<span>". $row['items_count'] ."</span>" . "</div>";
            echo "<div class='d-inline d-lg-flex col-lg-1'>" . "<span>". $row['users_count'] ."</span>" . "</div>";
            echo "<div class='d-inline d-lg-flex col-lg-1'>" . "<span>". $row['network_count'] ."</span>" . "</div>";
            echo "<div class='col-lg-2 d-flex flex-flow-wrap '>";
            echo "<a target='_blank' href='" . $eg->server_protocol . "://" . $eg->server_name . "/admin/networks.php?s=" . $row['name'] ."&t=" . $row['token'] ."' class='btn btn-primary btn-sm ml-1 mb-1'>👁</a>";
            echo "" . "<button name='update' type='submit' class='btn btn-success btn-sm ml-1 mb-1'>💾</button>" . "";
            echo "" . "<button name='delete' type='button' class='btn btn-danger erase-session-su btn-sm ml-1 mb-1' data-name='" . $row['name'] . "' data-id='" . $row['id'] . "'>❎</button>" . "";
            echo "<div>" . "<label class='switch ml-1 mb-1'><input type='checkbox' class='checkbox-row'/><span class='slider round'></span></label>" . "</div></div>";
            echo "<input name='session-id' class='d-none' value='" . $row['id'] . "'></input>";
            echo "<input name='page' type='hidden' value='" . (isset($_GET['page']) ? $_GET['page'] : "0") . "'>";
            echo "</div>";
            echo "</form>";
       }
    ?>
  </div>
</div>
<div class='d-flex justify-content-end'>
  <button class='btn btn-danger mr-2' type='button' id='delete-selected-sessions'><?php _e('Delete selected'); ?></button>
  <button class='btn btn-primary' type='button' id='check-all-sessions'><?php _e('Un/check all'); ?></button>
</div>
<nav aria-label="Page navigation example">
  <ul class="pagination justify-content-center mt-3"><?php echo $nbResults; ?>
    <!-- <li class="page-item disabled">
      <a class="page-link" href="#" tabindex="-1">Previous</a>
    </li> -->
    <?php
      $temp = $nbResults;
      $i = 0;
      while ($temp > 0){
       echo "<li class='li-pagination page-item" . ($page == $i ? " active" : "") . "' data-number='" . $i . "'><a class='page-link'>" . ($i + 1) . "</a></li>";
       $temp -= $per_page;
       $i++;
     }
     ?>
    <!-- <li class="page-item">
      <a class="page-link" href="#">Next</a>
    </li> -->
  </ul>
</nav>
</div>

<!-- Modal -->
<div class="modal fade" id="popupConfirmErase-su" tabindex="-1" role="dialog" aria-labelledby="exampleModalCenterTitle" aria-hidden="true">
  <div class="modal-dialog modal-dialog-centered" role="document">
    <div class="modal-content">
      <div class="modal-header">
        <h5 class="modal-title" id="exampleModalLongTitle"><?php _e('Confirm deletion'); ?></h5>
        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
          <span aria-hidden="true">&times;</span>
        </button>
      </div>
      <div class="modal-body"><p>
        <?php _e('Are you sure you want to erase this sessions?'); ?>
      </p></div>
      <div class="modal-footer">
        <button type="button" class="btn btn-secondary" data-dismiss="modal"><?php _e('Cancel'); ?></button>
        <button type="button" id='confirm-erase-session-su' class="btn btn-danger"><?php _e('Yes'); ?></button>
      </div>
    </div>
  </div>
</div>
</body>
<?php require('./footer.php'); ?>
</html>
